Package pywbem :: Module mof_compiler :: Class MOFWBEMConnection |
[frames] | no frames]

# Class MOFWBEMConnection

source code

    object --+
             |
            MOFWBEMConnection

Instance Methods
__init__(self, conn=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code
setns(self, value) | source code
getns(self) | source code
GetClass(self, *args, **kwargs) | source code
CreateClass(self, *args, **kwargs) | source code
ModifyClass(self, *args, **kwargs) | source code
ModifyInstance(self, *args, **kwargs) | source code
GetQualifier(self, *args, **kwargs) | source code
SetQualifier(self, *args, **kwargs) | source code
EnumerateQualifiers(self, *args, **kwargs) | source code
CreateInstance(self, *args, **kwargs) | source code
rollback(self, verbose=False) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| default_namespace default_namespace property
Inherited from `object`: `__class__`

Method Details

### __init__(self, conn=None) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

Property Details

### default_namespace default_namespace property Get Method: getns(self) Set Method: setns(self, value)